flow123d_version: 3.1.0
problem: !Coupling_Sequential
  description: Test12 - narrow radioaoctive decay chain, with transport switched enabled but with zero pressure gradient
  mesh:
    mesh_file: ../00_mesh/prism_3el.msh
  flow_equation: !Flow_Darcy_MH
    nonlinear_solver:
      linear_solver: !Petsc
        a_tol: 1.0e-07
    input_fields:
      - rid: 1
        anisotropy: 0.01
      - region: .BOUNDARY
        bc_type: dirichlet
        bc_piezo_head: 0
    output:
      fields:
        - pressure_p0
        - velocity_p0
    output_stream:
      file: ./decay.pvd
      format: !vtk
        variant: ascii
  solute_equation: !Coupling_OperatorSplitting
    transport: !Solute_Advection_FV
      input_fields:
        - rid: 1
          init_conc:
            - 0.01
            - 0.02
            - 0.03
            - 0.04
            - 0.05
            - 0.06
        - region: .BOUNDARY
          bc_conc:
            - 0.01
            - 0.02
            - 0.03
            - 0.04
            - 0.05
            - 0.06
    output_stream:
      file: ./transport_decay.pvd
      format: !vtk
        variant: ascii
      times:
        - step: 0.5
    substances:
      - A
      - B
      - C
      - D
      - E
      - F
    time:
      end_time: 10.0
    reaction_term: !RadioactiveDecay
      decays:
        - radionuclide: D
          half_life: 2.5
          products:
            - F
        - radionuclide: F
          half_life: 2.5
          products:
            - B
    balance:
      cumulative: true
